par="scenario"
mkdir -p "$par"  
echo "# beta density collision" > "collision.txt"

for density in 10000; do
	echo ""
	echo "Running ${par} with density=${density}"
	echo "----------------------------------------"

	echo "	collision, reception, transmission, recepetion at Destination"
	
	
    for pulse_duration in 10 50 100 150 800; do
    	dir="${par}"
        mkdir -p "$dir"
        cp scenario.xml "${dir}/scenario.xml"
    
    	sed -i 's/pulseDuration_fs="[0-9]\+"/pulseDuration_fs="'${pulse_duration}'"/g' ${dir}/scenario.xml
	bitsimulator --genericNodesCount "$density">/dev/null 2>&1 ${dir}/scenario.xml
	
        res=$(awk -f bash.awk "events.log")

	echo "${pulse_duration} ${density} \t ${res}" >> "collision.txt"

        echo "for pulse duration=${pulse_duration} : ${res}"
        
    done
done	
	
